Bug 437147 - Wrong examples in sg_wr_mode man page
Wrong examples in sg_wr_mode man page
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sg3_utils (Show other bugs)
5.1
All Linux
medium Severity low
: rc
: ---
Assigned To: Dan Horák
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 12:47 EDT by Milos Malik
Modified: 2009-09-02 07:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-03-12 12:47:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12 pango-text

Description of problem:
The man page is dedicated to the sg_wr_mode utility, but in the EXAMPLES section you can see how to use sg_wr_mode together with sg_modes. When somebody executes sg_modes according to these examples he/she will see following errors:

bad argument to '--control='
Bad argument to '--page='



Version-Release number of selected component (if applicable):
sg3_utils-1.25-1

How reproducible:
Always


Steps to Reproduce:
1. man sg_wr_mode
2. go to the EXAMPLES section


Actual Results:
One occurrence of:
sg_modes -c=2 -p=1a -r /dev/sda > t

Two occurrences of:
sg_modes -p=1a /dev/hdc

Expected Results:
One occurrence of:
sg_modes --control=2 --page=1a -r /dev/sda > t

Two occurrences of:
sg_modes --page=1a /dev/hdc

Additional info:
Comment 1 Milos Malik 2008-03-12 13:15:33 EDT
I omitted another wrong example in the man page:

sg_modes -p=1a -r /dev/sdb > mp_1a.txt

There should be following:

sg_modes -p 1a -r /dev/sdb > mp_1a.txt
Comment 2 Phil Knirsch 2008-04-16 11:32:49 EDT
Simple documentation fix. Granting Devel ACK for RHEL-5.3.

Read ya, Phil
Comment 3 RHEL Product and Program Management 2008-07-21 19:05:01 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 errata-xmlrpc 2009-09-02 07:23:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1357.html

Note You need to log in before you can comment on or make changes to this bug.